<!-- attrib title: Installation -->
<!-- attrib subtitle: Getting AutoSite ready to rumble -->
<!-- attrib description: AutoSite requires a few prerequisites and a little work before it'll do your bidding. -->
<!-- attrib template: info -->

AutoSite has a couple prerequisites in order to run. Aside from Python itself, AutoSite requires a couple packages you can get off pip, the package manager that comes with newer versions of Python.

### Python 3
AutoSite uses Python 3. You can grab it [here](https://www.python.org/downloads/). Grab the **installer** suitable for your platform; if it says "source tarball" or "embeddable ZIP", that's not what you're looking for. Don't confuse yourself.

If you have an older version of Python (maybe something from the 2 series) installed, you might end up with a situation where AutoSite will crash when run from the script. This is to do with PATH variables and various internal icky bits of tech stuff you may or may not be built for.

All you need to know is, *if you have an older version of Python, uninstall it first* (unless you're a tinkerer and actually know what a PATH variable is, then just make sure Python 3 is running when you invoke it, instead of Python 2).

### pip pip
More recent versions of Python 3 come with a package manager, **pip**. AutoSite (and its prerequisites) are installed through it. Thankfully, you only need to run a single command to get all of that out of the way. Open up your command prompt or terminal and type the following:

    pip install autosite

Now, all you need to do to run AutoSite is run the `autosite` command from your terminal.

### Feels like the first time
Time to get on with the last bit: AutoSite itself! Make a new folder and navigate to it in your terminal or command prompt. (If you don't know how directories work or how to get to one in the terminal, [look into the cd command](https://en.wikipedia.org/wiki/chdir). It's important.) This is where you'll create your new site.

Run the script with the command `autosite`. You'll get something that looks like this popping up:

    AUTOSITE
    
    templates/default.html does not exist
    Creating one
    in folder does not exist, creating one
    includes folder does not exist, creating one
    
    When you are ready to begin, press enter.

Press enter. Four new folders will be in your working directory: `in`, `includes`, `templates`, and `out`. You're ready to start building your site. Every time you want to rebuild your site, you'll need to run this command again.

**Make sure you're in the right directory before you run AutoSite!** If you're in the wrong directory, the script will make a new set of folders, rather than rebuilding your site.

### Updating AutoSite
To update AutoSite to the newest version, append the `--upgrade` switch to the end of the install command:

    pip install autosite --upgrade

Your current version of AutoSite will be uninstalled, and the newest version will be downloaded and installed in its place.